Bug 165926 - [patch] deskutils/cairo-dock-plugins fix many bugs
[patch] deskutils/cairo-dock-plugins fix many bugs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 11:20 UTC by Ivan Klymenko
Modified: 2012-04-14 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (12.59 KB, patch)
2012-03-11 11:20 UTC, Ivan Klymenko
no flags Details | Diff
patch-cairo-dock-plugins-update.txt (14.77 KB, patch)
2012-04-09 10:38 UTC, Ivan Klymenko
no flags Details | Diff
patch-netspeed.txt (1.07 KB, patch)
2012-04-14 22:01 UTC, Ivan Klymenko
no flags Details | Diff
patch-netspeed.txt.bz2 (430 bytes, application/x-bzip)
2012-04-14 22:01 UTC, Ivan Klymenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 2 scheidell freebsd_committer 2012-04-10 13:32:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 3 scheidell freebsd_committer 2012-04-10 13:34:29 UTC
State Changed
From-To: open->feedback

Hmm...  Looks like a unified diff to me... 
The text leading up to this was: 
-------------------------- 
|diff --git a/cairo-dock-plugins/Makefile b/cairo-dock-plugins/Makefile 
|index d14c1ac..ad329f7 100644 
|--- a/cairo-dock-plugins/Makefile 
|+++ b/cairo-dock-plugins/Makefile 
-------------------------- 
Patching file Makefile using Plan A... 
Hunk #1 succeeded at 7. 
Hunk #2 succeeded at 22. 
Hunk #3 failed at 32. 
Hunk #4 succeeded at 45. 
Hunk #5 succeeded at 97. 
1 out of 5 hunks failed--saving rejects to Makefile.rej 

%cat Makefile.rej 
*************** 
*** 29,35 **** 
USE_XORG=	xrender 
USE_DOS2UNIX=	YES 
USE_CMAKE=	yes 
- USE_GCC=	4.5+ 
MAKE_JOBS_SAFE=	YES 
PLIST_SUB+=	PYVER="${PYTHON_VERSION:S/thon//}" 

--- 32,38 ---- 
USE_XORG=	xrender 
USE_DOS2UNIX=	YES 
USE_CMAKE=	yes 
+ USE_GCC=	4.6+ 
MAKE_JOBS_SAFE=	YES 
PLIST_SUB+=	PYVER="${PYTHON_VERSION:S/thon//}" 


Your makefile was updated: 
2012/04/07 23:03:57 gerald 

This change approved by you ? 
<http://www.freebsd.org/cgi/cvsweb.cgi/ports/deskutils/cairo-dock-plugins/Makefile>
Comment 4 scheidell freebsd_committer 2012-04-11 22:06:06 UTC
manually edited it for USE_GCC, thanks, understood:

next issue:

please check this patch:

add_pkg
===>  Patching for cairo-dock-plugins-2.3.0.3_3
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for cairo-dock-plugins-2.3.0.3_3
1 out of 2 hunks failed--saving rejects to netspeed/data/netspeed.rej
=> Patch patch-netspeed failed to apply cleanly.

it in a tinderbox, do I don't have access to the rej file (tinderbox 
builds jailed host, loads prestine os, starts compiling things, deletes 
when done)

do you know about redports? can you test this out in redports? (you 
might want to adjust the patch to skip around the USE_GCC think )

but see if you can tell what happened to patch-netspeed.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 Ivan Klymenko 2012-04-14 22:01:26 UTC
See my original patch...
Probably through the mail is incorrect ASCII encoding ...
Comment 6 dfilter freebsd_committer 2012-04-14 22:51:32 UTC
scheidell    2012-04-14 21:51:16 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/cairo-dock-plugins Makefile distinfo 
  Added files:
    deskutils/cairo-dock-plugins/files patch-CDBashApplet.sh 
                                       patch-Doncky-data-nvidia-config 
                                       patch-GMenu-applet-menu 
                                       patch-Network-Monitor-data-access-point 
                                       patch-Network-Monitor-data-wifi 
                                       patch-System-Monitor-data-nvidia-config 
                                       patch-System-Monitor.conf.in 
                                       patch-applet-appli-finder.c 
                                       patch-applet-notifications.c 
                                       patch-calc.sh 
                                       patch-demo_bash.sh 
                                       patch-netspeed 
                                       patch-updatedb.sh 
                                       patch-upload2free.sh 
                                       patch-wifi-data-access-point 
                                       patch-wifi-data-wifi 
  Log:
  - fix many bugs
  
  PR:             ports/165926
  Submitted by:   Ivan Klymenko <fidaj@ukr.net> (maintainer)
  
  Revision  Changes    Path
  1.11      +9 -2      ports/deskutils/cairo-dock-plugins/Makefile
  1.5       +2 -0      ports/deskutils/cairo-dock-plugins/distinfo
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-CDBashApplet.sh (new)
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-Doncky-data-nvidia-config (new)
  1.1       +22 -0     ports/deskutils/cairo-dock-plugins/files/patch-GMenu-applet-menu (new)
  1.1       +15 -0     ports/deskutils/cairo-dock-plugins/files/patch-Network-Monitor-data-access-point (new)
  1.1       +18 -0     ports/deskutils/cairo-dock-plugins/files/patch-Network-Monitor-data-wifi (new)
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-System-Monitor-data-nvidia-config (new)
  1.1       +11 -0     ports/deskutils/cairo-dock-plugins/files/patch-System-Monitor.conf.in (new)
  1.1       +20 -0     ports/deskutils/cairo-dock-plugins/files/patch-applet-appli-finder.c (new)
  1.1       +11 -0     ports/deskutils/cairo-dock-plugins/files/patch-applet-notifications.c (new)
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-calc.sh (new)
  1.1       +17 -0     ports/deskutils/cairo-dock-plugins/files/patch-demo_bash.sh (new)
  1.1       +17 -0     ports/deskutils/cairo-dock-plugins/files/patch-netspeed (new)
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-updatedb.sh (new)
  1.1       +8 -0      ports/deskutils/cairo-dock-plugins/files/patch-upload2free.sh (new)
  1.1       +15 -0     ports/deskutils/cairo-dock-plugins/files/patch-wifi-data-access-point (new)
  1.1       +18 -0     ports/deskutils/cairo-dock-plugins/files/patch-wifi-data-wifi (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 scheidell freebsd_committer 2012-04-14 22:51:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!